[**@notabene/javascript-sdk**](../../README.md) • **Docs**

***

[@notabene/javascript-sdk](../../modules.md) / [types](../README.md) / ProofStatus

# Enumeration: ProofStatus

Status of the ownership proof verification process

## Remarks

Represents the different states that an ownership proof can be in during and after verification:
- PENDING: Initial state where verification is in progress or awaiting processing
- FAILED: The proof was rejected due to failing verification checks
- FLAGGED: The proof requires manual review due to suspicious or unclear verification results
- VERIFIED: The proof has passed all verification checks successfully

## Enumeration Members

### FAILED

> **FAILED**: `"rejected"`

#### Defined in

[types.ts:959](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/8f806219d6cce2649090d2664578bddfe57deb3c/src/types.ts#L959)

***

### FLAGGED

> **FLAGGED**: `"flagged"`

#### Defined in

[types.ts:960](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/8f806219d6cce2649090d2664578bddfe57deb3c/src/types.ts#L960)

***

### PENDING

> **PENDING**: `"pending"`

#### Defined in

[types.ts:958](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/8f806219d6cce2649090d2664578bddfe57deb3c/src/types.ts#L958)

***

### VERIFIED

> **VERIFIED**: `"verified"`

#### Defined in

[types.ts:961](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/8f806219d6cce2649090d2664578bddfe57deb3c/src/types.ts#L961)
